Request Information

URI Parameters

NameDescriptionTypeAdditional information
provider

The provider.

string

Required

appId

the app id.

integer

Required

dataMode

the data mode . Supports Lite and Fix.

DataMode

Default value is Lite

AssetInstitutionId

Gets or sets AssetInstitutionId.

integer

None.

InstitutionId

Gets or sets InstitutionId.

integer

None.

PersonId

Gets or sets PersonId.

integer

None.

Body Parameters

None.

Response Information

Resource Description

The .

RPCResponse
NameDescriptionTypeAdditional information
data

Gets or sets the data.

Object

None.

errors

Gets or sets the errors.

Collection of RPCError2

None.

included

Gets or sets the included.

Collection of Object

None.

messages

Gets or sets the errors.

Collection of string

None.

modelId

Gets or sets the model identifier.

integer

None.

Response Formats

application/json, text/json

Sample:
{
  "data": {},
  "errors": [
    {
      "code": "DataValidation",
      "detail": "sample String 1",
      "id": "sample String 2",
      "status": 100,
      "title": "sample String 3"
    },
    {
      "code": "DataValidation",
      "detail": "sample String 1",
      "id": "sample String 2",
      "status": 100,
      "title": "sample String 3"
    }
  ],
  "included": [
    {},
    {}
  ],
  "messages": [
    "sample String 1",
    "sample String 2"
  ],
  "modelId": 1
}

text/html

Sample:
{"data":{},"errors":[{"code":"DataValidation","detail":"sample String 1","id":"sample String 2","status":100,"title":"sample String 3"},{"code":"DataValidation","detail":"sample String 1","id":"sample String 2","status":100,"title":"sample String 3"}],"included":[{},{}],"messages":["sample String 1","sample String 2"],"modelId":1}